/*
  tsv.h
  for cgi-util demo store
  
  handles i/o to items.tsv file (the database of items in the store)
*/

typedef struct item_type {
  char * product_id;
  char * category;
  char * title;
  float price;
  char * description;
} item_type;


/* Opens the tsv file (or dies if it can't) */

FILE * open_item_file(char * filename);


/* Returns a pointer to a new item_type with the next item read from the file,
   or NULL if the file's end has been reached: */

item_type * read_next_item(FILE * fi);


