/*
  tsv.c
  for cgi-util demo store
  
  handles i/o to items.tsv file (the database of items in the store)
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "tsv.h"


FILE * open_item_file(char * filename)
{
  FILE * fi;
  
  fi = fopen(filename, "r");
  if (fi == NULL)
    {
      cgi_error("Can't open file!");
    }
  
  return(fi);
}


item_type * read_next_item(FILE * fi)
{
  char buf[1024];
  item_type item;
  item_type * item_ptr;
  
  
  fgets(buf, sizeof(buf), fi);
  if (!feof(fi))
    {
      item.product_id = strdup(strtok(buf, "\t"));
      item.category = strdup(strtok(NULL, "\t"));
      item.title = strdup(strtok(NULL, "\t"));
      item.price = atof(strtok(NULL, "\t"));
      item.description = strdup(strtok(NULL, "\t"));
      
      item_ptr = malloc(sizeof(item_type));
      memcpy(item_ptr, &item, sizeof(item_type));
      
      return(item_ptr);
    }
  else
    return(NULL);
}
